%define         debug_package %{nil}

Name:           cowbell
Version:        0.3
Release:        0.svn47.1%{?dist}.4
Summary:        Music organazier

Group:         	Applications/Multimedia 
License:       	GPLv2+ 
URL:           	http://more-cowbell.org/ 
#svn checkout
#svn co -r 47 http://svn.gnome.org/svn/cowbell/trunk cowbell && tar -cvjf cowbell-svn47.tar.bz2 cowbell
Source0:       	%{name}-svn47.tar.bz2
# The behavior of the coalescence operator has been changed to conform to MS compiler.
# Has been already filed into upstream bugtracker at http://bugzilla.gnome.org/show_bug.cgi?id=565258
Patch0:         %{name}-coalesceop.patch
# This is a mono bug, see https://bugzilla.novell.com/show_bug.cgi?id=379537
Patch1:         %{name}-CS0649.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Various Mono dependencies are not available for ppc64; see bug 241850.
ExcludeArch:    ppc64 sparc64

BuildRequires:  gnome-common, automake, autoconf, libtool, intltool
BuildRequires: 	mono-devel, gtk-sharp2-devel, gtk-sharp2-gapi
BuildRequires: 	taglib-sharp-devel 
BuildRequires:  scrollkeeper, desktop-file-utils, gettext
BuildRequires:	perl-XML-Parser
Requires:	mono-core, gtk-sharp2, taglib-sharp
Requires(post): scrollkeeper, desktop-file-utils
Requires(postun): scrollkeeper, desktop-file-utils


%description
Cowbell is an elegant, album-based, music organizer
written by Brad Taylor in C-sharp for Gtk+. Using TagLib, 
it supports many audio formats including: Mp3, Ogg 
Vorbis and MusePack

%prep
%setup -qn cowbell
%patch0 -p1
%patch1 -p1

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

desktop-file-install --vendor fedora --delete-original \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/cowbell
%{_libdir}/cowbell
%{_datadir}/icons/hicolor/*/apps/cowbell.*
%{_datadir}/applications/*.desktop


%changelog
* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.3.0-0.svn47.1.4
- ExcludeArch sparc64 no mono

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.svn47.1.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.3-0.svn47.1.2
- Fix FTBFS: added cowbell-coalesceop.patch and cowbell-CS0469.patch.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.svn47.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue May 13 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3.0-0.svn47.1
- new svn snapshot, fix x86_64 libdir bug, for real this time, promise! #442338
- Add missing taglib-sharp dependency, #460892
- Spec cleanups, patches removed (commited upstream)
- Don't build debuginfo package

* Tue May 13 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.3-0.svn34.4
- Use svn trunk
- fix multiarch issues

* Wed Apr 23 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.7.1-10
- Fix x86_64 patch

* Mon Mar 17 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.7.1-9
- Add ExclusiveArch to prevent build errors on unsupported archs
- Add patch for fixing libdir path on x86_64

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.7.1-8
- Autorebuild for GCC 4.3

* Tue Oct 03 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-7
- Don't replace %{_libdir}
* Fri Sep 15 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-6
- Add missing gtk-sharp2-devel Builddep
* Fri Sep 15 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-5
- Add missing perl-XML-Parser Builddep
* Wed Jul 05 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-3
- Add gettext build-dep again
* Thu May 11 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-2
- Add missing mono-core and gtk-sharp2 Requires
- Add scriplets for gtk+ icon cache
- Removed ChangeLog from %doc
- Don't include static library 
- Remove gettext BuildRequires
* Tue May 09 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-1
- New release, 0.2.7.1
- Define libdir like suggested in the wiki
* Mon Apr 24 2006 John Mahowald <jpmahowald@gmail.com> - 0.2.7-1
- 0.2.7
* Sun Apr 02 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.6.1-2
- Fix x86_64 build issue by replacing %{_libdir}
* Sat Apr 01 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.6.1-1
- Initial build
